### Constructor

# Gtk.PrintJob.new

#### Declaration [src]

    GtkPrintJob*
    gtk_print_job_new (
      const char* title,
      GtkPrinter* printer,
      GtkPrintSettings* settings,
      GtkPageSetup* page_setup
    )

#### Description [src]

Creates a new `GtkPrintJob`.

#### Parameters

`title` | `const char*`
| the job title
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`printer` | `GtkPrinter`
| a `GtkPrinter`
| Ownership is not transferred to the callee
`settings` | `GtkPrintSettings`
| a `GtkPrintSettings`
| Ownership is not transferred to the callee
`page_setup` | `GtkPageSetup`
| a `GtkPageSetup`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkPrintJob`
a new `GtkPrintJob`
Ownership of the data is transferred to the caller